/*------------------------------------*\
    #SCROLL TO TOP
\*------------------------------------*/
/**
 * scroll to top component
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}toplink,
%#{$inuit-namespace}toplink {
    @extend %icon--arrow-up-white;

    display: none;
    position: fixed;
    right: 25px;
    bottom: 77px;
    width: 40px;
    height: 40px;
    text-indent: -9999px;
    background-color: $frs-color-blue;
    background-size: rem-calc(16 16);
    background-position: center center;
    transition: .15s all ease;
    @media #{$medium-up} {
        right: 28px;
        bottom: 90px;
    }
    @include frs-hover {
        background-color: $frs-color-btn-hover;
    }
    @include frs-focus {
        background-color: $frs-color-btn-hover;
    }
}
